#!/bin/sh

if [ ! -d "./node_modules/babel-cli" ]; then
    echo "Crisp: Installing babel-cli..."
    npm install babel-cli
fi
    
if [ ! -d "./node_modules/babel-preset-env" ]; then
    echo "Crisp: Installing babel-preset-env..."
    npm install babel-preset-env
fi

if [ ! -d "./node_modules/babel-preset-minify" ]; then
    echo "Crisp: Installing babel-preset-minify..."
    npm install babel-preset-minify
fi

./node_modules/.bin/babel src/Router.js src/View.js src/Elements.js --out-file crisp-ui.js --presets env
./node_modules/.bin/babel crisp-ui.js --out-file crisp-ui.min.js --presets minify
